<?
include_once("_common.php");

if (!function_exists('convert_charset')) {
    /*
    -----------------------------------------------------------
        Charset 转换
    -----------------------------------------------------------
    如果可以使用iconv就直接转换
    不行则使用mb_convert_encoding 
    如果两个都不支持就没有办法运行了
    */
    function convert_charset($from_charset, $to_charset, $str) {

        if( function_exists('iconv') )
            return iconv($from_charset, $to_charset, $str);
        elseif( function_exists('mb_convert_encoding') )
            return mb_convert_encoding($str, $to_charset, $from_charset);
        else
            die("Not found 'iconv' or 'mbstring' library in server.");
    }
}

if (strtolower($g4[charset]) == 'gb2312') 
    $reg_mb_nick = convert_charset('UTF-8','cp936',$reg_mb_nick);

// 昵称允许使用汉字，字母，数字
if (!check_string($reg_mb_nick, _G4_CHN_ + _G4_ALPHABETIC_ + _G4_NUMERIC_)) {
    echo "110"; // 昵称尽可以使用汉字、英文字母及数字，请勿包含空格及特殊符号！
} else if (strlen($reg_mb_nick) < 4) {
    echo "120"; // 至少大于4个字母
} else {
    $row = sql_fetch(" select count(*) as cnt from $g4[member_table] where mb_nick = '$reg_mb_nick' ");
    if ($row[cnt]) {
        echo "130"; // 昵称重复
    } else {
        echo "000"; // 正常
    }
}
?>